label boardwalk_start:

    "You travel through  the streets of the city until you reach the boardwalk, the once idyllic scene disturbed by the signs of violence that had plagued the entire area."

    "As the concrete turns to wood under your feet the signs of destruction that plagued the area were relatively minimal, which made sense since people weren't allowed to bring vehicles onto the boardwalk and given the time of day the rains struck there wouldn't have been many there in the first place."

    "Even so you know to tread carefully as you decide where you want to go in order to cross through and get to the other side."

    menu:

        "Stick to the carnival area":
            jump boardwalk_carnival

        "Walk across the boardwalk":
            jump down_by_the_boardwalk

        "Head under the boardwalk to the ocean":
            jump down_by_the_sea #this is a bad end, go to badends

label boardwalk_carnival:

    "When you walk into the area of thr boardwalk dominated by the carnival you are surprised at how... lively it is.  Had you not known that some sort of strange rubber apocalypse happened you would have assumed it was business as usual as you walk through the front gate."

    "Part of you expected to see families running around from place to place trying to enjoy the day as much as they can, though as you thought about it your brain took a strange turn and imagined them as those rubber lizard creatures doing the same."

    "You shake your head of the bizarre concept and continue forward until you reach the main split in the path."

    "At this point you could take one of three paths to get through the carnival."

    "The first is through the midway, where they used to have all sorts of games both old and modern to play.  There was also the food court as well where they would dispense all sorts of sugary and other types of food typical of a fair or carnival."

    "Finally there was the section that had all the various rides and other attractions.  All of them had their pros and cons, at this point it was just a matter of which part of the carnival you actually wanted to see."

    menu:

        "Head to the midway":
            jump carnival_games

        "Move to the food court":
            jump carnival_food_court #this is a bad end, go to badends

        "Stick to the carnival rides":
            jump carnival_rides

label carnival_rides:

    "You make your way around the carnival rides, which though it was a more open space provided far more vantage points and less chances for ambush as you walk through them.  Surprisingly a number of them were not only powered up but operational as well."

    "Some were even in motion, flinging empty chairs around as you moved around them to get to the other side of the boardwalk.  As you sneak around however you see that the main route is absolutely crawling with various rubber creatures."

    "After a brief deliberation you realize that it would be best to go off track for the remainder of your jaunt through the carnival, which unfortunately limits your options somewhat."

    "The two areas that would provide enough cover that you wouldn't be seen as you go through the park is the Haunted House that stretched across a significant stretch of the carnival and the Tunnel of Love ride that was completely hidden from view and actually exited right near the boardwalk."

    menu:

        "Enter the spooky house":
            jump haunted_house #this is a bad end, go to badends

        "Go through the tunnel of love":
            jump tunnel_of_love #this is a bad end, go to badends

        "Head back to the carnvival proper":
            jump boardwalk_carnival

label carnival_games:

    "You slowly head down the midway of the boardwalk carnival, though as you pass by each of the booths you begin to wonder if it's such a good idea."

    "While a number of them are still shuttered closed there were enough open to make you paranoid that one of those creatures were going to jump out at you with each moment."

    "All you could do at that point was continue to move and watch them wearily while you made your way to the other side of the boardwalk."

    "As you turned the corner down towards some of the more traditional midway games you noticed that there were was far more activity then in the rest of the area."

    "It was also the quickest route to the exit so you and Mason decide to scout forward and check it out."

    "As you approach despite the games running you don't see any signs of life, which makes you wonder if perhaps this was the first place they had started to happen before the Shining Rains came."

    "Voice" "Step right up!"

    "The sound of a booming voice suddenly next to you causes both you and Mason to jump, turning to see a snake-like creature with arms and red and white rubber scales running in a striped pattern along its serpentine body."

    "Midway Naga" "You gentlemen look like fine fellas, why don't you come and try your hand at a game of skill?"

    "Mason" "Uh... no thanks."

    "Mason's gun remains raised at the smiling creature despite the initial scare wearing off."

    "Mason" "We're just passing through."

    "Mason's comment only seemed to cause the naga's grin to grow wider on his muzzle as he turned and looked down the area that you presumed was your freedom."

    "Midway Naga" "Passing through eh?"

    "Midway Naga" "I happen to know what's a little further down and believe you me when I say that you're taking a bigger chance out there then you are in here."

    "Midway Naga" "Since you look like a couple of outstanding gentlemen let me offer you this; pick one of my games here, if you win it then I will not only let you pass by safely but also give you safe passage through the rest of the carnival."

    "Midway Naga" "If you lose... well, let's just save that as a surprise, what do you say?"

    "When you ask if the games are rigged in his favor the naga appears appalled by the notion."

    "Midway Naga" "I assure you all my games are on the up and up."

    "While you aren't sure you believe him you also didn't know that these creatures could talk either, which means that if they're intelligent enough to speak then perhaps somehow he can communicate with the others to let them pass."

    "As you look at the games he was running you realize there were two carnival classics.  The first was throwing a dart at a wall of balloons, the second was tossing a ball at some milk jugs.  It seemed like playing a game was the only way to go, the question was which one to pick?"

    menu:

        "The dart game":
            jump throwing_darts

        "The milk jug game":
            jump throwing_balls #this is a bad end, go to badends

label throwing_darts:

    "You decide to go with the dart game, thinking that out of all of them it's the least likely that the serpent would be able to rig."

    "Midway Naga" "Wonderful choice sir!"

    "He slithers over to the wall of balloons and set three darts down in front of you."

    "Midway Naga" "You have three shots, and all you have to do is pop one balloon!  You succeed and you win the right to walk out of here, but if you fail then you become one of our fabulous prizes!  Good luck sir!"

    $ used_darts = 0
    $ arch_darts = 0

    menu:

        "Throw with all your might":
            jump forced_balloon

        "Lob the dart up in the air":
            jump arched_balloon

        "Aim for the bottom of the balloon":
            jump aimed_balloon

label forced_balloon:

    if used_darts == 2:

        "You know that you have this one as you ready yourself for a mighty throw.  Once you are sure of your target you toss it as hard as you can and watch it streak towards it target with as much determination as you have."

        "The tip of the dart lodged deep into the heart of the balloon and you waited for the sound of the satisfying pop to tell you that you won.  Except... it never came, the dart bouncing uselessly off of it and onto the ground."

        "Midway Naga" "Ohhh that's too bad."

        "The serpent grins as you look at him in horror."

        "Midway Naga" "Well a deal is a deal, and you should be fulfilling your end right about now."

        "You try to say something else but when you open your mouth the latex snake sticks something into it that nearly pushes into the back of your throat."

        "Before you can reach up to pull it out the creature moves like lightning and wraps his coils around you as you start to hear a loud hissing noise."

        "With your arms pinned to your side by the muscular lower of body of the naga all you can do is let the air rush into your chest as it starts to expand."

        "You try and spit out the nozzle but the naga keeps it in there, though soon he no longer has to as your lips begin to expand around it."

        "As you look down at your growing muzzle you realize in shock that it's not only rubbery, but semi-transparent as well as you can see the nozzle lodged deep in your reptilian maw."

        "Midway Naga" "I knew you were going to make a wonderful balloon animal."

        "he naga chuckled as you felt your entire body begin to tingle while getting harder to move, growing larger as your skin turns green and shiny with a scale-like texture."

        "Midway Naga" "Of course you will have to wait until someone wins you until you can move again, but I'm sure with how good you're going to look that's not going to be a problem."

        "You try to think of why the naga would say that but it's growing harder to think with every second as more of the gas fills you.  You start to feel a bit cramped as your clothes grow tight around you, but your new owner helps you by cutting them off."

        "You half-expected to see a snake body underneath but to your surprise you find that you are being changed into a rubber balloon raptor morph, complete with generous muscles and a heavy set of genitals that makes you more sex doll than balloon animal."

        "Despite the pleasure of being transformed you find yourself unable to get erect, the naga's words echoing in your mind that you wouldn't be able to move as you grew lighter and emptier in mind and body."

        "Once the process was complete the naga took out the nozzle from your mouth and moved you back to the stall.  All you could do was stand there with a goofy grin plastered on your face as he brought you to the front."

        "It didn't matter to you though, all you cared about was the day that someone would win you... although until then you were sure the naga had plans of his own as he bent your body forward and stuck his maleness into your waiting tailhole."

        "The only sound made in the stall was the hiss of the naga and the slap of latex on latex as you both waited for his next customer."

        "THE END"

        return

    elif used_darts == 1:

        "You try and toss it hard and fast, making sure to keep the balloon in your sights the entire time.  You think that you're on target this time but the dart seems to skirt right around the rubber object and into the wall behind it."

        "The balloon continues to bounce as you watch it with distain."

        "You sigh as you reach down and grab the last dart, holding it in your hands before you look back at the board once again."

        "Midway Naga" "Last shot."

        "You can feel the naga watch you intently with that grin still on his muzzle."

        "Midway Naga" "I look forward to seeing you on my display once you fail."

        "The jeer from the midway operator causes your frown to deepen but you know you have to choose the right way in order to pop this balloon and get out of here."

        $ used_darts = 2

        menu:

            "Throw with all your strength again":
                jump forced_balloon

            "Lob the dart in the air":
                jump arched_balloon

            "Aim for the bottom of the balloon":
                jump aimed_balloon
    else:

        "You reach back and throw the dart with all your might, hoping to pop the balloon in the first shot.  Unfortunately you appear to throw it too hard and miss them all completely, the arrow lodged deep into the cork board behind it while the synthetic serpent smirked at you."

        "Midway Naga" "Aw that's too bad, at least you get two more shots."

        "You nod and take a deep breath.  You know now that you definitely need to put aiming into consideration as you pick up your second dart.  Or you could try a different technique all together if you no longer think that strength is the way to go."

        $ used_darts = 1

        menu:

            "Throw with all your strength again":
                jump forced_balloon

            "Lob the dart in the air":
                jump arched_balloon

            "Aim for the bottom of the balloon":
                jump aimed_balloon

label aimed_balloon:

    if used_darts == 2:

        "You know you can do this, you have the bottom of that balloon dead in your sights and you're ready to pop this thing and get to the exit.  With careful precision you toss your shot and watch it fly straight and true, heading straight for the bottom of one of the balloons."

        "The second it connects you toss your hands up in triumph, only to realize that it was premature as it bounced off and landed on the ground."

        "Midway Naga" "Ohhh that's too bad."

        "The serpent grins as you look at him in horror."

        "Midway Naga" "Well a deal is a deal, and you should be fulfilling your end right about now."

        "You try to say something else but when you open your mouth the latex snake sticks something into it that nearly pushes into the back of your throat."

        "Before you can reach up to pull it out the creature moves like lightning and wraps his coils around you as you start to hear a loud hissing noise."

        "With your arms pinned to your side by the muscular lower of body of the naga all you can do is let the air rush into your chest as it starts to expand."

        "You try and spit out the nozzle but the naga keeps it in there, though soon he no longer has to as your lips begin to expand around it."

        "As you look down at your growing muzzle you realize in shock that it's not only rubbery, but semi-transparent as well as you can see the nozzle lodged deep in your reptilian maw."

        "Midway Naga" "I knew you were going to make a wonderful balloon animal."

        "he naga chuckled as you felt your entire body begin to tingle while getting harder to move, growing larger as your skin turns green and shiny with a scale-like texture."

        "Midway Naga" "Of course you will have to wait until someone wins you until you can move again, but I'm sure with how good you're going to look that's not going to be a problem."

        "You try to think of why the naga would say that but it's growing harder to think with every second as more of the gas fills you.  You start to feel a bit cramped as your clothes grow tight around you, but your new owner helps you by cutting them off."

        "You half-expected to see a snake body underneath but to your surprise you find that you are being changed into a rubber balloon raptor morph, complete with generous muscles and a heavy set of genitals that makes you more sex doll than balloon animal."

        "Despite the pleasure of being transformed you find yourself unable to get erect, the naga's words echoing in your mind that you wouldn't be able to move as you grew lighter and emptier in mind and body."

        "Once the process was complete the naga took out the nozzle from your mouth and moved you back to the stall.  All you could do was stand there with a goofy grin plastered on your face as he brought you to the front."

        "It didn't matter to you though, all you cared about was the day that someone would win you... although until then you were sure the naga had plans of his own as he bent your body forward and stuck his maleness into your waiting tailhole."

        "The only sound made in the stall was the hiss of the naga and the slap of latex on latex as you both waited for his next customer."

        "THE END"

        return

    elif used_darts == 1:

        "This time you carefully line up your shot, trying to hit that bottom part of the balloon where you're presented with more of a target for it to pop.  Unfortunately though you seem to rub against the bottom of the balloon it still refuses to pop for you."

        "You frown as you see the lone dart left on the table, the last chance for you to get out of here without being transformed."

        "Midway Naga" "Ohhh... that was so close."

        "Midway Naga" "One last try, make it a good one."

        $ used_darts = 2

        menu:

            "Throw with all your strength":
                jump forced_balloon

            "Lob the dart in the air":
                jump arched_balloon

            "Aim for the bottom of the balloon again":
                jump aimed_balloon

    else:

        "You think you remember hearing something about a dart game and how to beat it is to throw it at the bottom of the balloon."

        "You decide to give it a shot but end up aiming too low, the dart sticking into the cork board with the balloon bouncing on top of it as though to mock you.  The naga just grins and motions for you to go again as you pick up your second dart."

        "Now you think you may have a beat on the aim, but it is possible that your technique is flawed too and may want to switch it up."

        menu:

            "Throw with all your strength":
                jump forced_balloon

            "Lob the dart in the air":
                jump arched_balloon

            "Aim for the bottom of the balloon again":
                jump aimed_balloon

label arched_balloon:

    if arch_darts == 1:

        "You know that this is the way to beat this game, so you take a deep breath and arch the dart up in as high an arch as the ceiling of the booth allows.  You close your eyes as you wait, crossing your fingers as you wait to hear your fate."

        "At first it's only silence and you feel your entire body start to sink down into defeat from your botched toss.  Then..."

        "*Pop!*"

        "The latex snake's smirk turns to a frown as you open your eyes to see a dart sticking out of the cork board in the middle of a balloon."

        "Midway Naga" "Well you can't win them all."

        "Midway Naga" "Good show sir, please enjoy your prize."

        "Midway Naga" "And if you ever want to visit again I'll be more than happy to play a different game with you."

        "You quickly leave the midway and true to the carnival game naga's word you find no resistance to the gate.  You breathe a sigh of relief when you finally get off the wooden planks and back on to the streets proper, the skyscraper now just a few blocks away from your location."

        jump corporate_tower

    elif used_darts == 2:

        "You try to do an arched shot instead, but as soon as you release it you know that you made the arch too high.  It ends up hitting the bottom of the board, the loud thunk the seal of your fate as the naga gives you a toothy grin."

        "Midway Naga" "Ohhh that's too bad."

        "The serpent grins as you look at him in horror."

        "Midway Naga" "Well a deal is a deal, and you should be fulfilling your end right about now."

        "You try to say something else but when you open your mouth the latex snake sticks something into it that nearly pushes into the back of your throat."

        "Before you can reach up to pull it out the creature moves like lightning and wraps his coils around you as you start to hear a loud hissing noise."

        "With your arms pinned to your side by the muscular lower of body of the naga all you can do is let the air rush into your chest as it starts to expand."

        "You try and spit out the nozzle but the naga keeps it in there, though soon he no longer has to as your lips begin to expand around it."

        "As you look down at your growing muzzle you realize in shock that it's not only rubbery, but semi-transparent as well as you can see the nozzle lodged deep in your reptilian maw."

        "Midway Naga" "I knew you were going to make a wonderful balloon animal."

        "he naga chuckled as you felt your entire body begin to tingle while getting harder to move, growing larger as your skin turns green and shiny with a scale-like texture."

        "Midway Naga" "Of course you will have to wait until someone wins you until you can move again, but I'm sure with how good you're going to look that's not going to be a problem."

        "You try to think of why the naga would say that but it's growing harder to think with every second as more of the gas fills you.  You start to feel a bit cramped as your clothes grow tight around you, but your new owner helps you by cutting them off."

        "You half-expected to see a snake body underneath but to your surprise you find that you are being changed into a rubber balloon raptor morph, complete with generous muscles and a heavy set of genitals that makes you more sex doll than balloon animal."

        "Despite the pleasure of being transformed you find yourself unable to get erect, the naga's words echoing in your mind that you wouldn't be able to move as you grew lighter and emptier in mind and body."

        "Once the process was complete the naga took out the nozzle from your mouth and moved you back to the stall.  All you could do was stand there with a goofy grin plastered on your face as he brought you to the front."

        "It didn't matter to you though, all you cared about was the day that someone would win you... although until then you were sure the naga had plans of his own as he bent your body forward and stuck his maleness into your waiting tailhole."

        "The only sound made in the stall was the hiss of the naga and the slap of latex on latex as you both waited for his next customer."

        "THE END"

        return

    elif used_darts == 1:

        "You try to arch the shot instead, aiming to get a lob on the target instead of just getting it in the middle of the balloon."

        "As it goes up you think it has a good change of hitting but unfortunately the arch is too high and it ends up sticking into the bottom of the cork board."

        "You look down and see only one lonely dart left, which means that if you screw it up it's all over.  Do you try to lob it in the air again?  Or switch to a different tactic?"

        $ used_darts = 2
        $ arch_darts = 1

        menu:

            "Throw with all your strength":
                jump forced_balloon

            "Lob the dart in the air again":
                jump arched_balloon

            "Aim for the bottom of the balloon":
                jump aimed_balloon

    else:

        "You toss up the dart in a lob, attempting to get it to land on the balloon at an angle.  Unfortunately your shot goes wide and hits the space between two of the balloons, which causes you to frown as the synthetic serpent smirks."

        "Midway Naga" "So close, two more shots to go."

        "You nod and take a deep breath.  You know now that you definitely need to put aiming into consideration as you pick up your second dart.  Or you could try a different technique all together if you no longer think that arching it is the way to go."

        $ used_darts = 1
        $ arch_darts = 1
        menu:

            "Throw with all your strength":
                jump forced_balloon

            "Lob the dart in the air again":
                jump arched_balloon

            "Aim for the bottom of the balloon":
                jump aimed_balloon

label down_by_the_boardwalk:

    "You can smell the salt in the air as you make your way down the empty boardwalk.  As you look out the sun was shining bright and the ocean was calm and serene as ever amidst a backdrop of clouds.  It was the kind of day that would have attracted a large crowd."

    "Now most of that potential crowd was probably part of the rubber horde as you continue to wearily make your way across the wood planks that lined the sea."

    "As you continue on your way you find that the area is surprisingly vacant, save for a few wandering latex creatures that you manage to evade along the way.  The rest of the time is almost peaceful, except when Mason spots something that causes you to gasp."

    "It was a ferry that appeared to be coming in from one of the other islands, and whether it had heard of the news or not it seemed to be coming straight for the pier that was attached to the boardwalk."

    "With no radio or other means to communicate with it all you can do is watch as it continued to approach, and as it did the water that surrounded the pier itself began to shift and froth with underwater activity."

    "If you don't do something soon that whole boat of people are likely about to join the mass of monsters on this island, but what can you possibly do in time to warn them?"

    menu:

        "Run to the pier":
            jump fish_in_a_net #this is a bad end, go to badends

        "Shout from the boardwalk":
            jump siren_song

        "Use them as a distraction":
            jump maiden_voyage_sacrifice

label siren_song:

    "You try and shout at the edge of the boardwalk in order to warn those on the ferry of their impending crisis, but as they wave back at you cheering you realize they can't hear your words of warning."

    "You look around for anything that you could use to try and signal them but by the time you look back up you can already see the rubber reptiles begin to crawl up the side of the boat as they got closer to the pier."

    "All you can do is look on in horror as the first hop above the guardrail and take the passengers by surprise, either throwing them into the water or pressing their bodies against them."

    "As panic breaks out on deck several reach out to you as the latex lizard creatures press behind them, their arms becoming rubbery as they transform right there before your eyes."

    "As the conversion frenzy continues on the boat you look down and realize that's not the only place the lizard creatures are climbing up."

    "Your shouting likely attracted them and you see them looking up at you with a grin, their finned tails swishing in the air as they used their webbed hands and feet to climb upwards."

    "Unlike the people on the boat however they're still far enough away that you can make a run for it down the boardwalk."

    if $corrupted_species == "Lizard":

        "Although... something about the aquatic nature of the lizardmen seems to make them exceptionally lust-inducing as you gaze over their perfectly toned swimmer bodies that they use to climb up to you."

        "In the back of your mind you wonder if it wouldn't be so bad to just give up and take a dip while in the rubbery embrace of the approaching males..."

        menu:

            "Make a run for it":
                jump calmer_seas

            "Join them":
                jump below_the_depths

    else:

        jump calmer_seas

label below_the_depths:

    "As those finned lizardmen continue to advance towards you they stop when you start to approach them with your arms open.  You don't want to fight it anymore, all you want is those taut latex scales pressed against your body and you don't care how you get them."

    "Plus you always enjoyed the water, it was part of the appeal for the boardwalk in the first place, now you might get to join in permanently."

    "The aquatic lizardmen seem to change their posture, greeting you with open arms instead of hissing and chasing you.  It made sense given your willingness to change, though as soon as the first pair of hands are on you they begin to undress you immediately."

    "Your body shivers as you feel their webbed hands slide across your flesh, causing it to tingle wherever they touched."

    "They start to lead you towards the water as you step out of your pants, one of them even stroking your cock with the membranes between his fingers while the others jumped."

    "When they had all done so the one next to you nodded and motioned for you to do the same, helping out up on the ledge as you look down into the water below..."

    "A few seconds later your naked body crashes into the water and immediately you're besieged by the aquatic rubber lizardman that you had joined."

    "Their tongues and fins pushed erotically against your body, and unlike before when you were on the pier the shiny material actually began to transfer onto you."

    "One of them swam up and wrapped their legs around your chest, then stuck his tongue into your mouth as others continued to fawn over your floating body."

    "Soon you were unable to see an inch of human flesh they had missed, and then as they began to rub at your body you began to feel that same rubber begin to stretch out."

    "Your latex-covered fingers stuck together for a few seconds before you were able to open them again, now with rubber that was between each one as another lizardman rubbed your tailbone that began to stretch out."

    "Two more floated at your feet and seemed to massage them out into longer and finned toes but that could still walk on land."

    "The biggest changes you were able to feel though was your face, which continued to suck on the tongue that was deep inside it as your nose melted into your upper lip that had pushed out into a muzzle."

    "Your body felt amazing, the water itself seemed to revitalize it and you felt like you could go swimming for days, but as your changes came to a head the blissful feeling you had this entire time suddenly radiated through your entire body with such strength it knocked you completely into the darkness of unconsciousness..."

    "When you wake up again you find yourself on the beach, the waves lapping up against your rubber scales as you look down at yourself.  It happened... you turned yourself into a rubber aquatic lizard while you were with the others that no longer appeared to be present."

    "Your webbed hands gently glide over the fines that are on your arms and back, even reaching up to touch the earfins that wiggle slightly.  You slowly get up and look around, suddenly feeling strangely alone as your rubberized eyes scan the area for anyone to help you."

    "While you don't see anyone you do find a note posted to a nearby support beam that you're pretty sure was meant for you."

    "Note" "Welcome to your new species,"

    "Note" "While I wish nothing more that you could swim in the sea with us you're something special, one of the elites that are specially tasked to continue to spread what we've started here."

    "Note" "While there's not much I can tell you what I can instruct you on is to follow your instincts, as long as you follow those you won't have to worry about anything else.  If you don't... well then you may not become that special after a while."

    "Note" "I trust you'll do well though, and hope to see you soon."

    "It wasn't signed and as you crumpled it up you looked back at the ocean."

    "What did they mean by following your instincts, you wonder."

    "The only thing could think of at the moment was to get off the beach and get to work, which was surprising considering that your webbed feet were more suited for sea than land."

    "Nevertheless you walked down the beach and up the stairs to get off the boardwalk and head back to Kajira."

    $ corrupted_species = "aquatic lizard"
    $ species_adj = "reptilian"

    jump a_brave_new_world #this is a conversion ending, go to corruption

label calmer_seas:

    "There was no way you were sticking around as you run down the boardwalk away from the doomed ship and those aboard it."

    "In your mind's eye you can already see the newly created lizardmen as they swarmed the boardwalk, looking for more people to potentially convert before they returned to the seas all that much stronger."

    "Thankfully it appeared that the entire ferry of humans were enough for them at the moment and they let you go free, though you continue to run all the way until you see where the boardwalk merges with downtown Kajira."

    "When you see the skyscraper that promises safety and sanctuary you breath of sigh of relief."

    "Mason" "Looks like we made it here after all [povname]."

    "Mason" "Well, no sense in waiting around here, let's get a move on!"

    jump corporate_tower

label maiden_voyage_sacrifice:

    "As the boat continues to make its way to the pier you realize you have an opportune time to get across the boardwalk while all the creatures in the vicinity are focused on the group of humans that just sailed into their laps."

    "You carefully make your way down one of the more secluded areas of the boardwalk as you see several more rubber creatures come out of the woodwork and head towards the pier area that you had just left."

    "You manage to go a few feet further down when you hear a scream pierce the air, followed by another and another until the air is filled with them."

    "You try not to let it bother you as you continue to move on, nor the fact that as you reach the exit of the boardwalk those screams eventually fall silent."

    "Soon you are left with only your own thoughts, though thankfully Mason eventually speaks up and tells you that the skyscraper he worked at was only a little ways ahead."

    "As you walk forward you try to put the boardwalk, and what happened on it, behind you and look ahead towards the possibility of shelter from this storm."

    jump corporate_tower
