label outdoor_mall_start:

    "As you carefully make your way to the mall you are constant look out for the latex creatures, making sure that you don't run into any of them as you head towards the outdoor mall.  Once a bustling hive of commercialism the entire area lays dormant as you approach."

    "The place that you normally did business in now feels almost dead as you navigate your way to a side entrance off the main path, unlocking it with your key before venturing inside."

    "Once on the other side of the wall you see the mall has the same signs of chaos that the streets do, though remarkably this area is cleaner than the rest."

    "When you get past the front entrance you know that there are two potential routes you could go that will quickly get you to the other side.  One is through the shops themselves, which means that you can use the back storage areas to your advantage and stay off the streets."

    "The other way was directly through the food court that would be a straight, unimpeded shot through the mall but with an increased potential to be caught.  Since it's your path the decision is laid to you on where to go."

    menu:

        "Investigate the food court":
            jump food_fight

        "Make your way through the shops":
            jump secret_shopper

label secret_shopper:

    "Going through the shops definitely seems like a safer bet as you make your way over to the back storage areas of the stores."

    "Though your key only worked on the outer entrance it was enough to get you inside, and after that you found the other doors to be unlocked as you made your way through."

    "Unfortunately your luck seems to run out when you get about halfway through and come up against a door that seems to be not only locked but barricades as well."

    "It meant you would have to go out into the store itself, open the security cate, then find another place to breach back into the back of the shops once again."

    "When you enter into the shop itself you find it’s a clothing store, one that seemed to specialize in wet suits and other gear as you make your way to the front."

    "When you look ahead you see that the security gate is already open, something that causes you to pause and look around."

    "What you see causes your blood to freeze as one of the creatures was behind the counter.  Unlike the others though this one seemed to have the spark of intelligence to it as it smiles and waves at you."

    "Naga Shopkeeper" "Welcome customers!"

    "The warm greeting from the latex creature further serves to confuse you as you get ready for a fight while it smiles at you still."

    "Naga Shopkeeper" "You're one of the first humans that I've seen come by new shop!  I'm running a couple of promotions here and if you let me I think that I could find your style."

    "Naga Shopkeeper" "If you give me a chance I'm sure we could find something that fits, or if there's other business that you'd like to talk about such as leaving we can discuss this as well."

    "The last sentence had a rather ominous tone to it, but all the rubber naga seemed to do is continue watch with its serpentine eyes."

    "As you glance back at the door you realize that it's right there and you might be able to just get by before the naga had a chance to do anything to you."

    "Otherwise it might be best to indulge it in what it wants and then ask to leave, especially since it hasn't done anything to you yet.  Or you can try to negotiate just leaving, you do know your way around a deal and might get it to just leave you alone for the right price."

    menu:

        "Talk to the shopkeeper":
            jump hard_sales_pitch #this is a bad end, go to badends

        "Ignore the shopkeeper":
            jump cant_ignore_savings #this is a bad end, go to badends

        "Barter with the shopkeeper":
            jump hostile_negotiations

label hostile_negotiations:

    "The synthetic cobra's smile turns to a smirk as you ask for a way to get past him without incident."

    "Naga Shopkeeper" "So you want to try and buy your way past me?"

    "Naga Shopkeeper" "Fair enough, but lets make it a litte more interesting.  You have one chance to give me something that you think I'll accept."

    "Naga Shopkeeper" "If I like what you give me then I'll not only let you go free but give you safe passage to the other side of the mall, if you don't then you're mine to do with what I see fit."

    "While the terms of the deal aren't exactly in your favor there's nothing you can really do to change that, and from the sound of it you'd likely have gotten caught no matter what had you done anything different."

    "As you take stock of your inventory you realize that there's not a lot that you'd think such a creature would want, which meant that you options were limited.  You needed to try though, so after thinking about it you decide to test your luck and give him something."

    menu:

        "Give him the gun" if revolver == "found":
            jump gun_and_pawn

        "Give him your supplies":
            jump trade_denied #this is a bad end, go to badends

        "Give him the location of the survivors and the code":
            jump selfish_sacrifice

        "Give him Don" if don_status == "party":
            jump don_betrayer

label selfish_sacrifice:

    "Mason stares at you with wide eyes as you tell the cobra salesman that you'll tell them where a group of survivors are and how to get them to open the door."

    "Mason" "What do you think you're doing [povname]?!"

    "Mason" "They're the whole reason that we came out here in the first place!  Are you telling me that you're going to sacrfice the lot of them just so we can make it past here?"

    "Before you can try to explain what your reasoning is you here a loud fit of laughter come from the naga before he slaps his hand down on the table."

    "Naga Shopkeeper" "Sold!"

    "The naga reaches out and shakes your hand the others stand agast in a mix of shock and horror at the deal you just made."

    "Naga Shopkeeper" "Humans never cease to surprise me, though after a trade like that it makes me wonder if you were one to begin with.  Of course that matters very little because soon you won't be."

    "You look at the naga in confusion until you feel something spreading across your hand.  As you look down in shock you see that the palm of your hand is shiny and black and even as you watch it continues to spread to cover you completely."

    "Naga Shopkeeper" "I'm going to need someone to lead the others on where to go for your information."

    "The naga smirks as you feel claws form on the ends of your fingers as the rubber spreads like wildfire over your body."

    "Naga Shopkeeper" "And since you've proven yourself more than capable I want it to be you."

    "You try to shout that wasn't what the deal was for but by then the thick latex had started to spread over your face and sealed your mouth completely shut."

    "The last of your clothes fall away as they seemed to get eaten away from the touch of the rubber, leaving you in what looks like a latex catsuit as it quickly flows down and covers your entire body."

    "The last thing you see before the rest of your senses are enveloped is the disapproving look Mason gives you before he walks past and moves out of the shop with the cobra's blessing..."

    jump a_new_beginning #this goes to the corruption storyline, go to corruption

label don_betrayer:

    "When you mention that you are willing to trade Don for safe passage to the other side of the mall you get surprised looks from both other men."

    "Don" "Are you serious?!"

    "Don shouts in anger as he looks over to see the cobra shopkeeper leering at him."

    "Don" "I brought you to my apartment and you're going to trade my life just so that some sadistic snake can have his way with me?!"

    "Mason" "I have to agree, we have other things that we can use to trade than him.  Let's just take a step back and think about this."

    "Naga Shopkeeper"  "It is far too late for that."

    "The naga begins to slither out from behind the counter."

    "Naga Shopkeeper" "[pov] has made his choice, and I accept his proposal.  This one is going to stay with me and you two can go free.  Move along now, unless you want to watch this happen."

    "Don lets out a slew of obscenities and attempts to run, but as he does one of the long-sleeved shirts seemed to reach up and grab him.  He shouted and twisted his body, pulling the shirt with it that began to melt and crawl up his arm to his torso."

    "As he tried to shake it off the doomed male accidently fell backwards into a whole rack of rubber shirts, letting out a shout as they suddenly became active like snakes and began to cover his body."

    "You start to walk away just as the rubber began to coat his face, his arms reaching up towards them which revealed that his arms were completely coated in the shiny substance with his scaled fingers tipped with a claw."

    "You can still hear Don shout for a while after you leave the shop until finally everything goes quiet once you get far enough away from the shop."

    "Mason" "That was cold man."

    "Mason gives you a sour look as you don't respond while the two of you walk to the door."

    "Mason" "My question is why him and not me?"

    "You explain that he was the one that has access to the tower, so if you lost him then you and the other survivors would not have a chance to get to safety."

    "Mason" "I suppose I should be thankful, though I know now how far you're willing to go to survive."

    "Whether or not you were affected by such a comment meant nothing to you at the moment, your task was to get to the other side of the mall.  Just before you turn the corner and lose sight of the shop you came out of you take a look back."

    "There you see the naga slithering back into the store, just after having put out what appeared to be the mannequin of a lizardman in full bondage gear outside advertising a sale."

    $ mason_trust = "lost"
    $ don_status = "converted"

    jump everything_must_go

label gun_and_pawn:

    "The cobra's eyes rise up in curiosity as you set the gun down on the table, your hand shaking slightly as you hand him the dangerous weapon.  The synthetic serpent immediately scoops it up and takes a look at it, opening the chamber and pulling out one of the bullets."

    "Naga Shopkeeper" "Now this is a trade."

    "Naga Shopkeeper" "Not only the weapon itself but the connotations with it, like the trust you have in me not to use it against you and the sacrifice of your personal safety... how about we push the concept a little further?"

    "To your surprise the naga pops one of the bullets in his mouth, swirling it around in his muzzle while he empties the gun of the others.  When he's done he spits it out, the cartridge having turned a solid shiny black, and puts it back into the chamber."

    "After he finishes with that he flips the gun around in his hands a few times before he set it back in front of you with a loud thud."

    "Naga Shopkeeper" "Here's the deal."

    "Naga Shopkeeper" "This gun is now loaded with a modified rubber bullet that will transform you instead of kill you.  If you shoot yourself with it then not only will I let the rest of your group go but I will make sure that all those you care about will be protected as well."

    "Naga Shopkeeper" "Will you give it all up for those you hardly know, or will you break our trade agreement and attempt to save your own skin?  The choice is yours, pull the trigger... or don't."

    menu:

        "You just can't do it":
            jump trade_denied #this is a bad end, go to badends

        "Pull the trigger":
            jump selfless_sacrifice

label selfless_sacrifice:

    "You can hear the sounds of protest as you take the gun and put it up against your head.  While the cobra had said it wouldn't kill you it said nothing about pain, you just have to hope that's part of the package as you click the hammer back."

    "You can feel your body tremble as you put your finger around the trigger, the cold metal heavy in your hand as you get ready."

    "When you pull it you immediately close your eyes while the thought of all the people you were potentially about to save flashes through your head one final time."

    "*click*"

    "..."

    "*click click click*"

    "You look at the smiling naga in confusion as you bring the gun back down and open the chamber to see that it was completely empty.  As you stared at it in confusion you hear the soft tap of something and look to the counter to see the rubber bullet perched on it."

    "It doesn't take long to realize that the naga has tricked you as he holds out his hand to take the revolver back."

    "Naga Shopkeeper" "I have to say that I’m impressed."

    "Naga Shopkeeper" "The fact that you would sacrifice yourself to save others is awe-inspiring, I daresay I wish I could convert you just for that quality alone."

    "But a deal is a deal and I accept your trade; go on and get out of here, there won't be anything waiting for you on the other side of this shop."

    "Naga Shopkeeper" "And as a token of my appreciation for showing me something special I want you to have this as a gift."

    "The naga hands you the revolver back and you look at it for a second before pocketing it.  Once your transaction is complete you thank the naga and walk outside the shop, finding the entire area empty."

    "Though you're fairly sure there are more of those creatures out there the naga remained true to his word as you start to make your way to the exit once more."

    $ revolver = "modified"

    jump everything_must_go

label food_fight:

    "Diligently you make your way down the pathways of the mall, keeping your eyes and ears open as you quickly move forward."

    "Though it appeared that any creatures in the area might have moved on or that there weren't any to begin with it didn't matter, you weren't going to be caught with your pants down."

    "As you continued to make your way down you suddenly stop as you hear a strange sound further in the distance.  It sounded like... people, real people talking and having conversations."

    "You slow your run down to a crawl as you head past one of the bigger stores and use it as cover to spy into the foot court itself."

    "What you see causes your eyes to widen, it was people!  They were dressed in military fatigues and were talking to one another as they sat at the table of the food court."

    "But before you could turn and get an opinion from Mason you suddenly feel the cold metal of a gun pressed against your head that causes you to freeze your entire body."

    "Guard" "Move forward very, very slowly."

    "You put your hands up and do what he says, making your way out of your hiding spot down towards the foot court proper."

    "When you come out into the open those who were talking and joking immediately stopped and grabbed their weapons as well to point at you."

    "Mason" "Don't shoot!  We're survivors too!"

    "Guard"  "Shut it!"

    "As you stay quiet one of the younger men moves forward to investigate the both of you."

    "Soldier" "You wouldn't be the first time those Vulsca tried to trick us into an ambush.  Everyone be on alert, let's make sure you aren't some sort of Judas sheep."

    "For the next few minutes you're handcuffed and interrogated while the others continued to be on the look-out for others.  You try to explain the best you can, and it appears to be enough when eventually the man sighs and orders the one behind you to let you go."

    "Solider" "You can't be too careful, ever since we got here it's been one trap or ambush after another."

    "Mason" "So you must be part of the military that was sent in."

    "The soldier nods as you rub your wrists reflexively, the man introducing himself as Sargent Mick."

    "Mason" "Do you know what happened here?  And what are the Vulsca?"

    "Mick" "Vulsca is what we call the rubber reptiles that have infested this city."

    "Mick" "As for what happened here it’s a long story, if you'd like I can tell it while we wait for lunch."

    "We happened to find a pallet of ramen in one of the shops and the Vulsca presence here seems to be rather low so I can talk, otherwise if you'd like you can have a look around until we eat and we can talk then."

    menu:

        "Eat lunch with Mick":
            jump breaking_bread #this is a bad end, go to bad ends

        "Check out their camp":
            jump rat_poison

label rat_poison:

    "As you walk around you find that the small military group had definitely shored up the defenses of this area, making you wonder if they were responsible for the lack of rubber creatures in the area."

    "Either way for the first time in a while you felt properly secure as you looked around while you waited for the others to eat.  From the way everyone was eating it shouldn't take long so your wondering remains limited just to the immediate area."

    "Eventually you smell the strong odor and realize that you're in front of the only food stand that is open, the one they likely used in order to cook all the noodles they found."

    "There were still several bowls of the ramen noodle and what looked like a few random vegetables still available, which even though you're not terribly hungry you go up to take one anyway."

    "As you're about to grab one you happen to notice one of the discarded wrappers and pick it up, looking it over."

    "It's a brand you had never heard of before and the writing was in Japanese, the only thing that you could see on it was a cartoony picture of one of those Eastern Dragons that wrapped around the entire thing."

    "Just as you were about to toss the wrapper in the trash with the others you hear a loud bang in the back of the small food shack that causes you to look over in concern."

    "When you can't see what happened you move over to the door and walk inside, only to stop short when you get to the back area and look down at the floor.  There, lying next to a spilled pot of broth, was one of the military men on his back convulsing on the floor."

    "At first you think he's having a seizure or something until you see that this pants are around his ankles and his cock is not only completely erect but is covered in gold rubber that has completely covered his groin."

    "He lets out a low, strangled growl as he stretches out his rubber covered hands while his body begins to length and his face pushes out into a muzzle."

    "You gasp and realization and immediately run back to the food court to warn someone but it's already too late, people are hunched over the table as thick latex tails spout from under their shirts while others have their shoes burst open by their expanding feet."

    "Some of the transforming humans had already pounced on one another and were grinding their changing bodies on one another, though it was clear everyone was sporting an erection in their pants, even one or two that you remember were women as heavy horns grew out of their heads."

    "The one that introduced himself as Mick was already almost completely transformed, his thick rubber cock in the mouth of another soldier as he shook his draconic head while a pair of latex whiskers drooped down from his muzzle and his synthetic mane grew out."

    "At this point it was clear the camp and the military group was a total loss, the only thing to do now was to make a run for it before you join them..."

    menu:

        "Make a run for it":
            jump food_court_closing

        "Willingly join them":
            jump cup_o_noodles

label cup_o_noodles:

    $ corrupted_species = "eastern dragon"
    $ species_adj = "draconic"

    "Out of the corner of your eye you see Mason run out of the food court, but you find yourself staying as the humans continue to transform from the tainted noodles."

    "You aren't sure why, other than the fact that their already impressive bodies were now enhanced with a rubber covering that hugged and highlighted every contour."

    "You've never seen any rubber creature that was an Eastern Dragon before, and somehow that intrigues you as you stand there and continue to watch."

    "Eventually those that had finished up first seem to sense your presence and you feel several pairs of eyes at you, but the fact that you neither back down nor run seems to have confused them."  "

    One of them, which you're pretty sure was their leader, steps down from the table and pulls his cock out of the mouth of the one servicing him."

    "A low growl escaped his muscular chest but there was no malice on his rubber muzzle, instead the other male looked almost intrigued by your steadfast determination."

    "At first you thought that he was walking straight towards you but he made a turn and went for one of the bowls of noodles that were still available."

    "Once he grabbed what he wanted he comes back to you and holds out the still warm food for you, clear in his intentions that if you were willing giving yourself to them you would have to mean it."

    "At this point you figure it’s too late to fight it and woof down as much as you can, drinking the broth first before eating the noodles."

    "As far as ramen goes it’s not too bad and you manage to eat most of it before a surge of energy nearly knocks you off your feet and causes you to drop the bowl."

    "Your hands begin to shake as the transformation begins to take effect, feeling your body start to grow as your skin begins to tingle."

    "You try to take off your shirt but the sensations are so intense you find it difficult, but after the second attempt you feel a pair of hands reach down and grab it for you."

    "You make eye contact and you stare into each other's eyes for a few seconds before a second wave does knock you onto your back."

    "Your entire body feels like it’s being stretched as blotches of black latex begin to appear on your bare arms and chest, save for the middle of your chest that turns white as you see your muscles get sculpted into that of a professional athlete."

    "As the rubber spreads across your body you get a strange sense of euphoria, like this is what you were always meant to be as your spine continues to stretch to accommodate your new form."

    "Suddenly you feel something on your cock and you look down to see Mick at your groin, his latex tongue wrapped around your human dick as it began to lengthen and turn rubbery as well."

    "Another of the transformed rubber dragons moves its way over to you and sticks his own cock in front of you, which as you eagerly take it into your maw your lips turn rubbery and begin to stretch."

    "Your body positively vibrates with pure sexual energy as the black latex spreads all over your body while you feel a mane of thick synthetic hair spread down your back to the tail that has been growing out of your backside."

    "It's not long before you fill the dragon's maw on your draconic dick with corrupted rubber spunk, the other male slurping it down before he gets up and puts his own cock against your latex hole."

    "As he begins to spread you open you moan around the thick rod of latex in your own maw, which has now fully become a dragon muzzle as you feel the traditional Eastern dragon whiskers get pulled down from it."

    "Even after your transformation completes the orgy continues, at least for those who didn't chase the fleeing humans.  Eventually night falls and you're still going at it, but after the umpteenth orgasm your spirit finally gives up the ghost and you pass out from sheer exhaustion."

    "When you awaken again its morning, and as you slowly sit up you think that it was all a dream until you look down at your enhanced form in awe.  As you get to your feet you also see a note next to you, one that you pick up and begin to read as you stretch your latex muscles."

    "Note" "Dear [pov],"

    "Note" "I'm sorry I can't be there in person but I've been pulled away as well as the others.  Now unlike them your willingness to change has made you something special, a creature with your own mind to do what you want."

    "Note" "All I can tell you now is if you want to keep it that way you have to follow your instincts.  I do hope we can meet soon."

    "You sigh and look at the rising sun coming over the mall, wondering just what to do next..."

    jump a_brave_new_world #this goes to the conversion storyline, go to corruption

label food_court_closing:

    "With the image of those people transforming still burned into your mind you make your way quickly back out of the foot court and to the mall proper."

    "The exit was still quite a ways away and while you weren't an expert on the speed of transformation for people turning into rubber creatures it was a good guess that it was rather fast."

    "When you get to one of the pavilions you recognize it as the area that you have a boxed in area known as The Cube, which was a rest stop where people could go that had one-way glass so you could see out but no one could see in."

    "The other possibility was to head towards the back of the shops and try to make your way through them to the exit, or if you were feeling particularly strong you could just make a run for it right now."

    menu:

        "Head to the cube":
            jump welcome_respite

        "Run to the back of the shops":
            jump secret_shopper

        "Make a break for the exit":
            jump falling_short #this is a bad end, go to badends

label welcome_respite:

    "You make a mad dash to get to the cube before you are spotted, which from the looks of their transformation you knew wouldn't be long.  Thankfully there were a few corners between you and them, and when you got around them the mirror cube gleamed in the light of the sun."

    "The entire structure was built out of a series of non-reflective one-way mirrors, which meant they could see outside but no one could be inside.  You hope it would prove to be an invaluable hiding spot as you run as fast as you can towards it."

    "Just as you get to the door and open it up you see one of the transformed army barrel out from one of the corners, the remains of his military fatigues still dangling from his rubber scales as he sniffed the air."

    "You get inside and leave the door open, and once you were all inside you quickly closed the door behind you and locked it once again.  When you turn to look around you saw that everything was mostly the way it was before."

    "Mason" "Looks like this area was protected from the rains and the ensuing carnage,"

    "He went over to one of the couches and sighs as he lies back."

    "Mason" "Good for us, not so good for anyone here who decided they wanted to leave and look around.  I suppose we should-"

    "Mason didn't even finish his sentence as he turned towards you and fell over the couch in surprise.  When you turn around to see what he saw you nearly have a heart attack when you see one of the rubber dragons pressed against the glass."

    "At first you thought it had somehow spotted you, but as it continued to slowly move along the perimeter of the cube you realize that it hadn't yet."

    "Several more came up behind him and started to search as well, though for the time being it appeared that you were all safe for the moment."

    if don_status == "party":

        "Don" "Well this is certainly not good, now what do we do?"

    else:

        "Mason" "Well this is quite the pickle, now what do we do?"

    "The question was a good one, and though there were options none of them were good.  The best was likely waiting for them to leave, though if they got the inkling to break that glass it would be all over for you."

    "The other option was to run out of the doors and make a break for the exit, hoping that none of them saw you as you did so."

    "Those were the two best options, the only other possible one would be to cause some sort of distraction and it would have to be big to give you the time to escape."

    menu:

        "Wait for them to leave":
            jump midnight_shoppers

        "Run out the back now":
            jump falling_short #this is a bad end, go to badends

        "Create a distraction" if revolver == "found":
            jump stick_them_up

label stick_them_up:

    if don_status == "party":

        "You tell Mason and Don to cover their ears as you pull out the revolver you found and fire several shots into the roof."

    else:

        "You tell Mason to cover his ears as you pull out the revolver you found and fire several shots into the room."

    "That definitely gets the creature's attention and you toss the empty gun to the ground as you watch them climb up the glass to the source of the noise."

    "Once you're sure they're preoccupied you run out the back and towards the nearest hiding spot, which was a set of displays that showed where you were in the mall and a few other advertisements."

    "Once you got there you carefully look back around and see that the rubber dragons continued to crawl up and inside the cube where you just were."

    "Even though it appeared you got the better of them you continue to quickly but stealthfully put more distance between you and them.  Finally you see the exit gate that seperated the mall from the rest of the downtown, a welcome site to see as you press on."

    $ revolver = "empty"

    jump everything_must_go

label midnight_shopper:

    "While it was definitely unnerving being surrounded by rubber creatures that you knew were human only a few minutes ago you know that this is the best place to be since it appeared your ruse was successful."

    "You see Mason go over to one of the refreshment areas and see if there's anything still good while you lay down on the couch.  While you were hungry you're not sure you would eat anything you found in the mall after what happened to the others."

    "Still since it appeared you would be there for a while you decide to take a quick nap, knowing that someone, or something, would wake you up in the event of an emergency."

    "As you close your eyes to rest it only lasts a few minutes before you feel someone pulling at your shoulders.  You open your eyes and immediately feel your adrenaline spike as a rubber creature with glowing green eyes is staring back down at you."

    "Rubber Creature" "Aren't we the jumpy one?"

    "It backed away to allow you room to flail, you demanding to know what it was doing there."

    "Rubber Creature" "Well if it was to convert you I would have done it already, so if you can believe it I'm just here to talk."

    "Rubber Creature" "By the way if you're looking for The others they're not here at the moment.  Now they're fine, but I just wanted to have a little one on one with you."

    "As you regain control of your composure you realize that the creature you're looking at is definitely not like the others."

    "While he was definitely made of rubber and there were some draconic traits the mysterious entity looked more canine than reptilian, and unlike most his eyes glowed with an unearthly green light as you ask him what he wants."

    "Rubber Creature" "I want to set things right here,"

    "It strokes one of his saberteeth that jutted out of his upper lip as it grins at you while he speaks."

    "Rubber Creature" "There is a creature here at work that has far grander aspirations than I, and if you want any chance of not becoming one of his thralls then I suggest you help me defeat him."

    "Rubber Creature" "Now I can't talk for much longer or he'll find me, but if you see my sign make sure you follow it and we can help each other from there... or I may find the means to come to you should the stars align."

    "When you ask the strange rubber sabrewolf what that sign is he smirks and says you'll know it when you see it, then disappears right when you feel something pull at your arm..."

    "You wake up with a gasp as you feel someone touch your arm, only to look up to see Mason standing there with a concerned look on his face."

    "Mason" "You alright there [pov]?"

    "He helps you up, realizing as you move that your body is covered with a sheen of sweat."

    "Mason" "Saw you tossing and turning a bit and wondered if you were about to turn into one those things.  Glad to see you didn't though, and as you can see we have a bit more good news on that front as well."

    "You glance around to see that the rubber Eastern dragons were gone.  Mason informs you that about an hour later they seemed to give up the ghost and moved to a different part of the mall, one where they heard shouts come from a short while before."

    "You can see the sadness on Mason's face when he said that the screams continued for a while before they went silent, then he figured it was time to wake you up so they could take advantage and leave."

    "You nod and together exit the cube and make your way to the exit, thankful at least that whatever happened elsewhere had caused this area to become cleared out."

    $ serathin_touched = True

    jump everything_must_go

label everything_must_go:

    "You breathe a sigh of relief as you make it to the other side of the mall and go through the gate.  Once you are back in the city proper you find yourself only a few blocks away from the skyscraper in question, a happy sight to see for sure."

    "While the threat of ambush or attack was still possible the downtown area was littered with sky bridges and underground structures, more than enough for you to get safely to your destination."

    if mason_trust == "lost":

        "When you turn to Mason to grin he just gives you a look, then begins to move forward and tells you to follow close behind"

    jump corporate_tower
