label white_horizon_start:

    $ pod_observed = False
    
    "It doesn't take long for you to get to the end of the tunnel, which opens into the basement of a building of White Horizon tower.  Stacks of office furniture fill most of the space as you slowly make your way up into the basement area."

    "You continue to treat the area as though it may be infested with those rubber creatures, though like the tunnels you have yet to see any as you continued through the expansive basement."

    "Thankfully the lights were still fully operational as you turned them on to see where you were going and turned off your flashlights."

    "As you move further into the area you see the exit down one of the rows of furniture.  It was a set of two elevators that still had power flowing to them, and then there was also a set of stairs off to the left that could be seen nearby in the case of a fire emergency."

    "While the exits were now readily available there was still a lot of ground to cover in the basement itself and a look around may not be unwarranted either, though you still get an unsettled feeling about the area as you glance around."

    menu:

        "Use the elevator.":
            jump horizon_top_floor #this is a bad end, go to badends

        "Go up the stairs.":
            jump use_horizon_stairs

        "Investigate the basement.":
            jump captured_curiousity

label captured_curiousity:

    "Since you seem to have the time you spread out a bit and search the area, looking around for anything that may be of use to you later.  It seems however as you start to walk around that most of storage is office supplies and other related sundries."

    "You continue down a few of the rows and area about to stop when you see something that causes you to pause."

    "It's something black and shiny on the wall that you just managed to catch a glimpse of around the corner, and as you muster up your nerve you slowly tilt your head around to see what's there."

    "You restrain the urge to gasp in surprise as you see what appears to be some sort of black rubber pod attached to the wall.  It pulsates with the same rhythm as a heartbeat, though slightly slower than your own racing organ as you duck back behind the shelf for a second."

    "When it seems not to notice your presence you grow a bit bolder and decide to take a look at it.  The entirety of the thing was like a cocoon with a smooth, black surface."

    "It seemed to have anchored itself to the wall via several large tentacle appendages, though it didn't seem to spread any further than its initial area of adhesion."

    "As you move closer to it your eyes are so fixated on it that you don't notice the janitor's bucket before you accidently kick it.  You feel your heart rate spike as the noise of the rolling wheels on the concrete echo loudly."

    "At first it appears your discretion goes unnoticed by the pod, but as the bucket gets close to it you see a split form on the surface of it."

    "Before you can even blink several tentacles push their way out and grab onto the approaching bucket, wrapping around it before starting to pull it into itself."

    "It appeared to change its mind though and spat it out, causing it to clatter back onto the floor which prompted you to walk swiftly back towards the meet-up point to decide where to go next."

    $ pod_observed = True

    menu:

        "Use the stairs.":
            jump use_horizon_stairs

        "Take the elevator.":
            jump horizon_top_floor #this is a bad end, go to badends

label use_horizon_stairs:

    "Even though the power was on and the elevators seem to work you opt to take the stairs instead.  With the lobby only a few floors up the trip is made relatively quickly, opening up the doors and stepping outside as the coast is clear."

    "When you take a few steps in however you realize the lobby is anything but as your eyes grow wide in amazement.  There are at least two dozen rubber pods in the space, blocking your way out of the office tower."

    "As you look you may be able to find a way out, but it would be extremely risky.  When you continue to examine the area you also see that there a back door that's clear, but you have no idea what might be on the other side of it."

    menu:

        "Move silently through the lobby." if character_class == "performer" or character_class == "criminal":
            jump lobby_stealth_succeed

        "Move silently through the lobby." if character_class == "merchant" or character_class == "researcher":
            jump lobby_stealth_failed #this is a bad end, go to badends

        "Find a route out the back.":
            jump back_of_horizon

        "Examine one of the pods more closely":
            jump pod_person #this is a bad end, go to badends

label lobby_stealth_succeed:

    "You can feel your heart race in your chest as you slowly make your way through the cocoon infested lobby.  The rubber pods seem to jiggle every time you even get close to one of them, but none reach out and try to suck you in or anything like that as you continue to push forward."

    "Eventually though you run out of clear path and you look around in frustration, hoping that you didn't have to double back in order to once more trek through this treacherous territory."

    "Finally you spy your way out, the reception desk was still relatively clear and just a short hop away.  The problem was that there were a number of pods that had grown out of it, which meant that if you failed it would likely be the last thing you did as a human."

    "You take a deep breath and make the leap up to a nearby potted plant, then with the momentum you pivot and turn to stick the landing on the desk."

    "You hear the satisfying sound of your shoes landing squarely on the top of the desk, though you immediately stop as the rubber pods around you begin to quiver as though they sense your presence."

    "When they appear to calm down you slowly walk along the long desk until you make it to the other side, then carefully jump down in a space between the pods and walk the rest of the way to the doors."

    "You wait until you are rejoined and then walk out of the office into the sunlight, the tower that is your goal now only a block or so away from your location."

    jump corporate_tower_start

label back_of_horizon:

    "You push through the door in order to make your way through the back of the office building, making you way through the maintenance areas.  Though the hallways were cramped you fortunately didn't find any of those strange pods either."

    "Just as you turned the final corner to the exit however you stop dead in your tracks and quickly retreat back."

    "Standing there at the doorway was one of those rubber lizardmen creatures just like the others, except instead of normal colored rubber scales his seemed to have a strange shine to them that moved about his body in an erratic pattern."

    "Mason" "Damn, exit's right there too."

    "Mason cursed as he spat on the ground."

    "Mason" "Personally that one doesn't look as strong at the others, I think we get a full head a steam going we can take that one out.  By the time he knows what hits him we'll be long gone, and if anything gets in our way we'll be long gone."

    "C'mon [povname], let's bull rush, better than waiting here for one of them to find us."

    menu:

        "Push your way through.":
            jump horizon_escaped

        "Carefully watch and make your move.":
            jump event_horizon  #this is a bad end, go to badends

label horizon_escaped:

    "With the exit so close you decide you're going to push your way through, running past the creatures as quickly as possible.  You shoulder charge the one between you and the door and take it by surprise, causing it to sprawl out on the floor as you keep running."

    "One or two more hear the noise and begin to run towards you but then you hear several loud bangs and the two lie on the floor with holes in their chest as Mason pumps the expended shells out of the shotgun."

    "You can hear a lot more commotion and hissing behind you but by that time you've reached the exit, bursting through the door and then slamming it shut once you're all on the other side."

    "As you look around you see a nearby dumpster and with some effort you push it against the door and wedge it into place.  You can still hear the loud bangs on the other side but you know that you have to continue moving."

    "As you look up at where you are however the building that Mason has access too isn't too far away and you quickly start to hoof it over there."

    jump corporate_tower_start
