label grocery_store_start:

    $ grocery_intro = False
    $ rooftop_detonator = False

    if grocery_intro:

        "When you head back to the shop you find it busy as usual, the raptor that you met before still manning the register as he smiles at you when he sees you."

        "Roman" "Welcome back [povname], did you rethink about taking my offer?"

    else:

        "You head to the corner store hoping that it hadn't been destroyed during the Shining Rains, only to find that it's not only completely intact but actually open as well if the neon sign flashing in the window had anything to say about it."

        "Even before you enter you can see other rubber creatures such as yourself going in and out, those coming out having plastic grocery bags.  If it wasn't for the fact they were rubber creatures it would almost seem like a normal day in Kajira."

        "With your curiosity piqued you head into the small corner grocery store and find that while most of the items you remember are there, from bags of chips to canned goods, there are also a few things that are new additions."

        "The tamest of which were rubber harnesses, collars, leashes, and other things that lined one of the back walls as you walk along the bag aisle.  As you turn the corner you see a rubber raptor behind the counter that waves at you."

        "Raptor Shopkeeper" "Hello there!"

        "Raptor Shopkeeper" "Is there anything that I can help you today?"

        "You look at him for a second before shrugging, the other rubber male nodding."

        "Raptor Shopkeeper" "Well as you can see I have everything for a corruptor on the go."

        "He motions to the aisle that you had just come down."

        "Raptor Shopkeeper" "We also have a few specialty items that you might be interested for the particularly hard to get at humans."

        "It was still strange seeing a rubber creature running a place like this, and when you tell him as such after you introduce yourself he lets out a small laugh."

        "Raptor Shopkeeper" "I suppose that it is strange in this day and age to try and set up shop here."

        "Roman" "Every army needs a quartermaster though and I'm here to set up a valuable service to those who need it.  It's probably why I'm such a target... name's Roman by the way."

        "When you ask him what he means by that he tells you that he's been having some trouble with an organized group of military humans that had come into Kajira on a recon mission and got stuck within the city limits."

        "Now bent on trying to stem the conversion of the city they have attempted more than once to try and destroy the shop to hinder corruptor efforts in the area."

        "The more you talk the more you realize that there's an opportunity for you here, especially when he mentions that he was the only one in the building currently and you describe that you could help in exchange for making this your base of operations in the city."

        "Roman" "You would really help me out like that?"

        "Roman" "It would be nice to not be under the fear of attack... not to say I haven't had offers from corruptors and the like before but I wanted to remain a neutral space so I could continue to operate to all the rubber creatures in the area."

        "Roman" "Tell you what, you send a clear message to those military types and let me continue to operate the shop down here and I'll give you the three floors above me to do what you want, deal?"

        $ grocery_intro = True

        menu:

            "It's a deal":
                jump sending_a_message

            "No thanks":
                jump defensive_offer_declined

            "Take the shop by force":
                jump no_shoplifters_allowed #this is a bad end, go to badends

label defensive_offer_declined:

    "Roman" "Oh... well thanks for listening anyway [povname]."

    "Roman" "If there's anything that you would like from the shop please let me know, I'll always be open if I can be."

    "Though there were definitely some interesting items up for grabs your search for a semi-permanent residence came first.  You leave the shop and head out into the streets, looking once more for a place that you can call home."

    jump begin_the_search

label sending_a_message:

    "Roman is overjoyed when you say that you'll take him up on his offer and hugs you from across the counter, nearly squeezing the air out of you before he settles back down."

    "Roman" "You don't know what this means to me."

    "There's a grin on his muzzle as he pulls out a small map from the counter."

    "Roman" "Alright, this group is holed up in a small apartment complex that was decimated by hunters in the first few hours after the Shining Rains."

    "Roman" "Not very big but tall, and naturally they took the top floor so they could protect themselves and with the other buildings in various states of destruction they can easily keep a vantage point."

    "After a few more minutes Roman rolls up the map of the city and puts it back behind the counter."

    "Roman" "I want to thank you again now for dealing with this group and to be very careful."

    "Roman" "They're not a large group but they're fierce and will take you down without mercy.  If you can run them off great, converting them would be even better."

    "You nod and leave the raptor to his shop, heading out into the dark night of the city to the apartment building that he pointed out to you."

    "It isn't long to see what Roman was talking about, once you approach it you can see the building is about two stories taller than anything else in the area and from the lights that flashed on the top floor it appeared the group was still there."

    "As you look further up you see they had secured the roof as well, your keen senses seeing the glint of a rather large gun no doubt set up to prevent winged rubber creatures from falling upon their location."

    "This was not going to be easy, you think to yourself as you formulate your next move..."

    menu:

        "Attempt to sneak up close":
            jump ghost_recon

        "Try to draw them out":
            jump distraction_beacon

        "Recruit air support":
            jump rubber_air_force

label ghost_recon:

    "ith the cover of night and your black scales you figure on giving it a go to try and see if you can get to the front entrance of the building.  Even just getting close began to prove to be an insurmountable task as you darted from car to car to avoid the patrols."

    "It was clear this group has had some military training as they provided very little room for you to operate in as you got close."

    "Once you made it to the sidewalk in front of the building you realized that your problems had only begun.  Floodlights had been installed with their lights covering every square foot of the lawn and approach to the building."

    "Even if you could find something to hide behind your latex form is actually a hindrance in this area, the shine of the rubber likely easier to see with light directly on it."

    "You circle as much of the building as you can before you are forced to retreat after two guards get very close to your hiding spot.  It was clear that sneaking up was not going to be an option for you, which narrowed what you could do in order to try and drive the group out."

    menu:

        "Attempt to create a distraction":
            jump distraction_beacon

        "Find some air support to help":
            jump rubber_air_force

label distraction_beacon:

    "You decide that if you can make a big enough distraction you can pull both the patrols and the eyes above somewhere else while you sneak in.  Luckily there are plenty of things to help you out in that regard, the biggest of which is a gas station that still appeared operational."

    "While you didn't want to destroy the station itself once you see that the pumps are working you fill as many containers with the volatile liquid as possible."

    "Once you were finished with that you carefully find cars that were close to the building that had been abandoned during the Shining Rains and carefully set them up with a container or two of the gas."

    "You had about enough to rig three cars and with a number of them spread out you decide to try and pull their attention into three different directions.  Once you had rigged what you wanted you set each one on fire and ran as fast as you could away from it."

    "It only took about half a minute before the first container erupted into flame, causing a loud pop as the windows and windshield shattered from the sudden heat."

    "You could hear the sounds of shouting as you watched those that had been outside go on their radios to inform those still in the building of the situation."

    "As you watch though you begin to frown as they fail to move forward, letting the cars burn instead of leaving the area to try and find the sources."

    "When it was clear that they weren't going to move from their positions you realize that all you had done was alert them to the fact you were there.  The trained squad never broke rank and now it was going to be impossible to do anything to them with everyone there on high alert."

    "Unfortunately you are forced to go back to the grocery store and inform Roman.  Of course he is disappointed too, which means that you aren't able to get the shop as a place of operations and you have to set your sights elsewhere."

    $ grocery_status = "alarmed"

    jump begin_the_search

label rubber_air_force:

    "You leave the area of the building and decide to see if you can find a nest of rubber wyvern in the area that you could use to help you."

    "Even with it being night out you manage to spot one flying around, at this point they're like the official birds of Kajira as you follow it back to its nest."

    "You find yourself at one of the old metro stations, and hoping up onto the elevated tracks you see why they prefer the area."

    "With the train bays being open the large winged creatures could easily get in and out, which no doubt helped them with their search of human prey to convert."

    "This was likely a somewhat successful nest with almost two dozen rubber creatures milling about before one of them sees you."

    "Rubber Wyvern" "Well this is an unexpected surprise."

    "Rubber Wyvern" "Normally when corruptors come calling it's because they need to get somewhere quick.  Is that what you're looking for?"

    "You tell them not quite and introduce yourself, then tell you about the scouts you want to run out of the top floor of an apartment building which causes the wyvern to frown slightly."

    "Rubber Wyvern" "Yeah, we know the spot rather well.  We had to declare the whole area a no-fly zone because they enjoy taking pot shots at us when we fly over.  Tried assaulting the building once but they have some decent firepower for a scouting party."

    "Rubber Wyvern" "Now because of that while we love to help a corruptor out I'm not sure that we can do much."

    "Rubber Wyvern" "I mean you might be able to make a distraction that could allow us to swoop in, or since its night we could possibly drop you from above to try and get them.  Or one of us can give you a nice pair of wings to fly in yourself, what's your idea?"

    menu:

        "Use a distraction so they could fly in":
            jump building_blitz

        "Drop in solo from the air":
            jump rubber_bombing_run

        "Take the wyvern wings":
            jump power_of_flight #this is a bad end, go to badends

label building_blitz:

    "After you make your plan with the wyverns you head back to the building in order to create a distraction.  Luckily there are plenty of things to help you out in that regard, the biggest of which is a gas station that still appeared operational."

    "While you didn't want to destroy the station itself once you see that the pumps are working you fill as many containers with the volatile liquid as possible."

    "Once you were finished with that you carefully find cars that were close to the building that had been abandoned during the Shining Rains and carefully set them up with a container or two of the gas."

    "You had about enough to rig three cars and with a number of them spread out you decide to try and pull their attention into three different directions.  Once you had rigged what you wanted you set each one on fire and ran as fast as you could away from it."

    "It only took about half a minute before the first container erupted into flame, causing a loud pop as the windows and windshield shattered from the sudden heat."

    "You could hear the sounds of shouting as you watched those that had been outside go on their radios to inform those still in the building of the situation."

    "As you watch though you begin to frown as they fail to move forward, letting the cars burn instead of leaving the area to try and find the sources."

    "Before you could do anything else you hear the sound of gunfire and the screech of the rubber wyverns you enlisted attempting to attack the building."

    "Unfortunately the cars did little to distract the sentries and it isn't long before the latex creatures are repelled.  With your plan falling through you decide it's best to retreat yourself."

    "When you get back to the grocery store you tell Roman the bad news and though he's disappointed he thanks you for trying and says when you find a place to come back anytime for any supplies you might need."

    "You head back into the streets of Kajira, hoping that your next attempt won't be as bad as this one."

    $ grocery_status = "alarmed"

    jump begin_the_search

label rubber_bombing_run:

    "While the rest of the wyverns mobilize you and your new friend, whom tells you just to call Wyn, picks you up with his powerful hindlegs and flaps towards your destination."

    "You get up as high as possible to avoid being seen by the rooftop sentries, and for the moment it appears your plan is working as you hover silently several stories above them."

    "As you look down at the height you begin to reconsider your plan but before you can say anything you feel those powerful feet release you."

    "It takes all your willpower not to scream as you streak down towards the rooftop, landing on the middle of it between where the two sentries are."

    "Your drop has not gone unnoticed however as you roll across the tarred roof to disperse your momentum, hearing the two cry out as they see your presence on the roof."

    "The idea of stealth was never your intention though as you dart behind the ventilation system, playing a bit of cat and mouse with the two."

    "Finally the two catch up with you though and you are greeted with the sight of two guns pointed straight at your face."

    "Sentry" "Freeze!"

    "You quickly stop your movement and put your hands in the air."

    "Sentry" "How did you get up here?  Tell us where you came from!"

    "You can't help but smirk as you point to the sky and as the two raise your guns to threaten you they are suddenly hoisted up in the air by the wyverns that had managed to sneak up on them."

    "As their guns clatter to the ground you know you heard them call down to the scouts one floor below, which meant there wasn't much time before they mobilize against you..."

    menu:

        "Search the roof first":
            jump rooftop_rewards

        "Run down to the next floor":
            jump scout_confrontation

label rooftop_rewards:

    "Before you confront the scouts you decide to take a look at the sentry area that the two had been guarding.  Your eyes widen as you look at the armaments they had brought up, everything from the miniguns they had set up to rocket launchers and even a mobile SAM launcher."

    "What really catches your attention are the wires everywhere and it doesn't take long before you find what they lead to."

    "The entire roof is rigged with plastic explosives, likely to blow the place if enough rubber creatures swarmed them so they could make their escape, and when you call up to the wyverns that had grabbed the two you ask if there's anything that looked like a remote on their person."

    "The wyverns call down that they did in fact find something and would throw it down to you, and before you could shout for them to wait you suddenly see a blinking red light streak towards you."

    "Your heart jumps up into your chest as you run forward to grab the detonator, nearly stumbling as you reach out your hands."

    "The electronic device jumps from hand to hand before you finally get a hold on it, careful to not hit the switch on it."

    "Luckily it appears that you needed to squeeze something as well as flick a switch and press a button, but you still can't help but shake slightly as you carefully hold onto it."

    "It appeared that this was the most useful item, other than that it was time to go down and get things started."

    $ rooftop_detonator = True

    jump scout_confrontation

label scout_confrontation:

    "You quickly run down the stairs from the roof and as soon as you hit the next floor you are greeted with the many clicks of guns getting ready to fire."

    "You look around to see nearly a dozen armed soldiers with rifles trained right at you and one man you assume to be the leader standing in the middle of them."

    "Scout Leader" "Looks like we got ourselves an intruder."

    "The man stepped forward confidently towards you."

    "Scout Leader" "Could this be a little lost [corrupted_species] just accidently wandering about?"

    "Scout Leader" "Doesn't seem likely to me."

    "The rest of the group remained stoic-faced as they continued to have their weapons trained on your position while you are asked what you are doing there.  When you stay silent the leader of the scout group just smirks."

    "Scout Leader" "Looks like you may have bit off more than you could chew, so why don't you surrender yourself before we string you up outside the building as a warning to the others of your kind."

    menu:

        "Threaten to blow up the building" if rooftop_detonator:
            jump chicken_run

        "Go after the leader":
            jump military_might #this is a bad end, go to badends

        "Surrender yourself":
            jump forceful_recruitment

        "Continue to try and talk":
            jump stalling_for_backup

label chicken_run:

    "Before the leader of the scouts has a chance to get close to you it's time you reveal your own weapon, and when you pull out the detonator it causes everyone there to back away."

    "When you hold it out and threaten them with it the leader didn't flinch but it did cause him to step back slightly."

    "Scout Leader" "You wouldn't..."

    "Scout Leader" "You may be made of rubber but I know that you know explosives will kill you."

    "You maintain your composure as you continue to hold the detonator threateningly in front of you.  At this point its your willpower versus theirs, and you clearly have the advantage with your finger on the trigger."

    "You once more mention that if their group didn't go and leave Roman alone that you would make sure that they couldn't bother him anymore.  When it was clear that you weren't going to budge the leader smirked at you and told the rest of his group to stand down."

    "The wyverns soon joined you as the military packed up and left, and though your new friends wanted to convert them you decide to leave them alone for now."

    "You didn't want to possibly start another fire fight and have them get entrenched elsewhere to defend themselves from the rubber creatures.  Once they were gone you disable the explosives and thank the wyverns for their service before they flew off."

    "Once they had moved out you go back to the grocery store and tell Roman of your success.  The raptor is more than overjoyed and gives you a hug, then the key to the upper floors."

    "While Roman would continue to mind the store downstairs you had everything above that plus the shopkeeper would give you some special pricing for the goods and services that he sold.  With that it was time for you to see the fruits of your labor..."

    jump corruption_headquarters

label stalling_for_backup:

    "You ask them why they're even here in the first place, what possible gain they had for causing such problems."

    "Scout Leader" "We weren't here by choice,"

    "The leader puts his fingers to his head and sighs."

    "Scout Leader" "It was creatures like you that chased our group here."

    "Scout Leader" "When the Shining Rains passed we managed to retake the base, but by that time we were completely cut off from the rest of the world and none of our communications are up and running."

    "Scout Leader" "So naturally we tried to go into the city and scout out for a way to figure out what was happening and to potentially find other survivors."

    "When you prompt him on why he was trying to destroy Roman and his shop a small sneer formed on his lips."

    "Scout Leader" "The reason that we're trying to still conduct operations here is because it's our duty to protect the people of this world."

    "Scout Leader" "It may not be a lot but if we can disrupt your kind from spreading further than the city or the island it was on.  Creatures like Roman only further to facilitate this plague and if we can we will stop him, not that it matters to you..."

    "It was at that time you explain to the leader of the military scouts that you were just stalling so that the wyverns could get into position."

    "Before they ask you what that means the windows shatter and the rubber creatures storm their way in.  With your distraction the others were able to pounce on the soldiers and begin to transfer their corruptive rubber over them."

    "There were a few shots fired but most of them were taken down before they could get at them, but as you recover from the shock of the sudden intrusion you see that the only one that left was the leader..."

    "The wyverns soon join you once again once the scouts were completely converted, and then you disable the explosives and thank the wyverns for their service before they flew off with their newest rubber breathren."

    "Once they had moved out you go back to the grocery store and tell Roman of your success.  The raptor was more than overjoyed and gave you a hug, then gave you the key to the upper floors."

    "While Roman would continue to mind the store downstairs you had everything above that plus the shopkeeper would give you some special pricing for the goods and services that he sold.  With that it was time for you to see the fruits of your labor..."

    jump corruption_headquarters

label forceful_recruitment:

    "With you completely surrounded and in a secure location you realize there's nothing you can do but put your hands behind your head and go down to your knees."

    "You are quickly feel your hands get put behind your back and handcuffed, then before you can say or do anything you are blindfolded and gagged so you can't speak."

    "It is clear that this group means business and has dealt with your kind before, so at this point it's best not to make any funny movements as you are brought back up to your feet."

    "You can hear the scout leader barking orders to everyone as it sounds like they're getting packed up in a hurry.  With no way of seeing you are forced to follow whoever decides to lead you as a flurry of activity continues to happen around you."

    "Suddenly you hear the sounds of glass shattering followed immediately by gunfire, the rubber wyverns no doubt crashing their way in to try and get at the humans inside.  You aren't sure who is winning as you are quickly dragged out of the room and down the stairs."

    "At this point you don't know what's going on as you are led down stairs, outdoors, and finally into a truck.  You can feel more chains get wrapped around your body as the engine starts and takes off, you still inside as you feel yourself surrounded by others."

    "You hear the sound of metal crunching as the truck pushes its way through various cars before finally hitting a stretch of open road."

    "This certainly isn't how you wanted this to go, you think to yourself as you sit there in the vehicle, the only thing now is to wonder what was going to happen next."

    jump military_installation_begin
