label monorail_station:

    "It sounded like the monorail station might be the best best to try and get to where you needed to go, even if it was a bit of a gamble."

    "The trip to the station was rather short, though it took longer than normal due to the roving bands of rubber creatures that you had to avoid while you got there.  As something that was usually on the top of the food chain it was hard to get used to the concept of being hunted."

    "In a moment while waiting for a few lizardmen to move through one of the buildings Mason said for the first time ever he felt like prey."

    "Eventually though you manage to make it to the monorail station.  The doors were busted open and sat on the stairs a few feet away and a number of windows had been broken."

    "When you step inside it looks like a bomb had gone off, everywhere was signs of chaos and multiple colored pools of dried latex on the floor."

    "Despite the mess most things appeared to be intact, including the power as you pass by a cracked display board that showed all the railcar times as cancelled."

    "When you get to the tracks themselves you see several monorail cars that appeared to be prepped to leave for the day and that the tracks themselves are relatively clear."

    "Mason" "Don't suppose we want to see if we can get one of those railcars going,"

    "Mason" "Could get to the skyscraper in minutes, but it may attract a lot of attention.  Of course it would be better than just walking down the tracks or on the street... what do you think?"

    menu:

        "Attempt to get a railcar operational":
            jump begin_the_ride

        "Walk down the tracks":
            jump ambush_on_the_rails #this is a bad end, go to badends

        "Abandon the monorail and go back to street level":
            jump mean_city_streets #this is a bad end, go to badends

label begin_the_ride:

    "You think that getting one of the monorail cars would be a quick and efficient means of getting to the skyscraper despite the visibility."

    "When you get to the main control station you find that most of the controls are actually automated, the only reason they weren't running now was because someone had pressed the lockdown button that was now covered with black rubber."

    "You swallow hard and push it once more and all the displays that were red turned green once again."

    "Suddenly a female voice comes over the intercom that causes your group to jump."

    "Automated Announcement Voice" "Welcome to the Kajira Monorail station."

    "Automated Announcement Voice" "Please proceed in an orderly fashion to the railcar that corresponds to your destination."

    "Automated Announcement Voice" "Be advised that due to several technical difficulties several cars and stations are non-operational, if this is the case then there are rideshare and other programs we can refer you to so you can get safely to your destination."

    "The fact that no such service exists anymore feels like a downer, but your main concern at the moment is the fact that the announcement was rather loud and the fact that your destination may not be reachable anymore."

    "You run out of hte control room and head up to the train that was closest to the station, heading up to the front where Mason attempted to get the railcar running."

    "Mason" "Gonna tell you right out that I'm sort of playing this one by ear."

    "Mason confesses as he tries to get the train moving."

    "Mason" "Luckily most of this seems pretty idiot-proof, I'm just hoping that I don't test that theory."

    "Much to both of your relief he not only gets it working but manages to get it to go to your destination."

    "As the train starts to move Mason asks you if you want to stay up front and watch the controls or head to the back and make sure you aren't being tailed."

    menu:

        "Stay up front":
            jump monorail_conductor

        "Head to the back":
            jump in_the_caboose #this is a bad end, go to badends

label monorail_conductor:

    "As the train begins to glide forward you feel strangely confident for the first time in a few days that everything is going to be alright, at least until you leave the station and look down at the city below."

    "Beneath the raised tracks of the monorail you can still see packs of those rubber creatures scouring the streets, looking for more people to infect and transform just like when those black rains came."

    "They look up at you as the train passes by but you're too far up from them to jump at and by the time they would climb up the support beams you were already long past."

    "Your ride soon takes you into the downdown area of the city, buildings pass close by your train as you look down at the map to see how far away you are from the station."

    "There is a sudden shout from the intercom, Mason informing you that you've picked up some additional passengers followed by the sounds of gunfire.  They must have jumped down from the roof or windows of those buildings, you reason you run to the door and lock it from the rest of the train."

    "You can hear the sounds of claws digging into metal directly above you however and the crunch of their fists against it as they attempt to breach through the roof of the train right down on top of you."

    "Your eyes remain glued to the increasingly dented in metal of the top of the car when the computer informed you that you were about to arrive at the station you need and to slow down the train to disembark."

    "At this point you think about possibly bailing out and hoping the creatures on the car don't notice, or you could possibly stop the train suddenly and hope to throw them off."

    menu:

        "Bail out at the station":
            jump train_wreck

        "Stop the train suddenly":
            jump train_robbery #this is a a bad end, go to badends

label train_wreck:

    "The train station was quickly coming up as you opened the door, having slowed the train only enough so that you wouldn't die immediately as you passed.  Luckily it appeared there wasn't much debris on the platform itself, and once you passed by it you jumped out of the train."

    "You hit the ground hard as you attempt to tuck and roll, your body getting flung along the pavement as you continued to roll until finally you came to a rest at the foot of an advert billboard."

    "Even though you managed to successfully bail out your entire body was still sore as hell as you struggle to get to your feet.  As you do you see the monorail continue to fly past you, more of the latex lizardmen attempting to break inside."

    "Once the monorail had successfully passed with the creatures still on board you go further down the track where the rest of your group landed."

    "Mason" "Well that was a lot of fun."

    "Mason groans in discomfort as he gets up and brushes himself off."

    "Mason" "No broken bones that I can tell, though I'm going to need me a drink of the strong stuff once we reach the tower.  Let's just get out of here before that train makes another round and they realize we're not on it."

    "You couldn't agree more as you leave the station, though as you opened the door to the station to leave you suddenly heard a loud crash and the terrible sound of metal on metal."

    "You look to the source of the noise and see that the monorail had derailed, either hitting something on the track or the track itself was destroyed as the lead car barrels into a nearby skyscraper."

    "Several cars behind it follow suit, causing a huge amount of destruction in its wake.  It's clear now that it's more imperative than ever to get to the tower before every monster in Kajira came there to investigate, luckily it was a few blocks in the opposite direction of the wreck."

    $ monorail_train = "wrecked"

jump corporate_tower
