label shipyards_start:

    $ shipyard_card_sharks = False

    "It doesn't take long for you to reach the old shipping yards of Kajira.  They were the major shipping port for the island back in the early days, until trade and expansion rendered the entire operation obsolete."

    "After that they built a shiny new and expanded shipping hub to the north of the island and transferred most of the infrastructure to the new facility."

    "What was left was a number of rotting metal warehouses and dry docks that became a major network node for a different type of enterprise, criminal activity mostly conducted there despite Kajira's attempt to rein it in."

    "As you make your way through the hidden entrance through the various layers of fence you pass by what had been the city's final solution for such a blight, which announced a major demolition and overhaul of the area to a new residential distract that will now likely never happen."

    "When you get inside you find the area to be mostly clear, which given the fact that not many people would be here in the first place was why you came in the first place."

    "Still you know that taking a stroll through the middle of the open area of the rust jungle will likely still get you caught, but luckily you have several options you know of for safe passage."

    "The first are the abandoned warehouses that you often utilize yourself with other criminals, while the second was to go through the huge dry docks that lined the shore."

    "The last option was to make your way through the maze of shipping containers that could potentially provide a number of ways to hide or evade any potential monsters tracking you."

    menu:

        "Head to the old warehouse":
            jump shipyard_warehouse

        "Make your way to the dry docks":
            jump dry_docks

        "Go through the shipping containers":
            jump shipping_yard_ambush #this is a bad end, go to badends

label shipyard_warehouse:

    "If there was going to be any place where you could find safe passage in this area it was going to be the old shipyard warehouses.  These structures were now almost completely empty, but it wasn't for that space that they were coveted."

    "Most of the warehouses had a series of underground tunnels for utilities and storage, and those were the places where you and many others would go to conduct your business, make new contacts, or just hang around in general."

    "Now even though they were likely as abandoned as the rest of the place you figure that they could serve you well for one last time as you lead the way into them."

    "As you begin your trek towards the semi-secret entrance that laid beneath the concrete you look up to see the walkways that hung above the warehouse floor.  You had never thought about going that way and it would be slightly more open than the cramped catacombs that laid beneath."

    "Still, it was hard choice between the place you knew like the back of your hand and the path that was far more straightforward."

    menu:

        "Your old stomping grounds":
            jump new_blood

        "Take the scaffold path":
            jump trespassing #this is a bad end, go to badends

label new_blood:

    "The tunnels under the warehouses are cold and damp as you make your way through them, the darkness lit only by the battery-operated security strip lights that you and the other criminals of Kajira had installed to see your way."

    "You were just glad that they still had power in them as you continued through the maze of corridors to the other side."

    "There's a bit of nostalgia here of talking to others and doing deals as you pass by rooms that once housed what you could consider the entirety of the Kajira black market.  You swear you can even hear the voices of people laughing and playing cards..."

    "You suddenly realize that those voices are very real and when you get to one of the boiler rooms you can distinctly hear the sound of several people laughing in the distance."

    "Even though you hope that its more survivors that had come down here in order to escape the horrors of the surface you carefully move up to the door frame and peek inside."

    "What you see causes you to nearly fall backwards and you feel Mason's hand press against you to keep you upright as you whisper what you saw."

    "It was three men, though you could no longer call them human anymore as they all had the appearance of humanoid sharks with rubber skin.  They had been playing cards with one another and drinking, which given the time of day you realize you likely knew those people."

    "They were part of a small gang that often ran numbers, one that was small time but big enough to try and get in with if you wanted to place a bet or do some odd jobs."

    "Now it appeared they had gotten into latex loan sharking, or something of that nature as you looked back around to see what they were doing."

    "You were about to look back to the others and say that you should go when one of them happens to look up and see you, the three immediately getting up from their table and approaching you."

    "Great White" "Thought this was a private game?"

    "He flashes his latex shark teeth at you as the rest of his gang approaches."

    "Great White" "Me and the boys here were just having a bit of guy time to ourselves, but if you want to play we'd happy to... deal you in.  Of course you'd likely be under the tables yourselves while we actually played, got a nice dick here you can suck!"

    $ shipyard_card_sharks = True

    menu:

        "Fight to get past them" if don_status == "party":
            jump rumble_time #this is a bad end, go to badends

        "Play them in cards for your freedom":
            jump card_sharks

        "Try to reason with them":
            jump on_deaf_ears #this is a bad end, go to badends

        "Join the crew":
            jump rechristianed_criminal #this is a bad end, go to badends

label card_sharks:

    "You ask if you can possibly play you way out, knowing that in their former lives they were notorious gamblers that often lost their profits back in the casinos that they took from with their off the books betting."

    "Great White" "You want to try and play us for it?"

    "A grin quickly forms on his face."

    "Great White" "Well now this just got interesting.  Tell you what, you manage to take all our money and we'll let you go, but if you lose all your money to us then you're ours for the taking."

    "It seems to be the only thing that they're going to budge on in order to let you go, but you've known them for a while and remember they're notorious cheaters.  You could try and play them straight up, but the odds will likely be against you."

    "There's always attempting to try and find a way to cheat as well but they also know every trick in the book... though even with playing you know they also happen to suck at playing cards even when they cheat."

    "As they start to drink while the great white passes out cards you guess you could always just try and get them drunk instead?  Whatever you decided to do you knew he had to act fast."

    menu:

        "Play it straight":
            jump fair_and_square #this is a bad end, go to badends

        "Attempt to cheat":
            jump dirty_dealer

        "Try to get them drunk":
            jump drinking_card_game

label dirty_dealer:

    "You're going to win this game, you think to yourself as you get dealt the cards, and you're going to do it by any means necessary.  The only problem is how... you can't really slide in a new card to the deck, which means you're going to have to try and pocket cards."

    "It's a bit of a hard trick to pull off but with them playing five-card poker it just meant when you tossed cards back into the pile you threw three or four and pocketed the high card you wanted, usually an ace."

    "In the first few hands you're luckily enough to grab two, which when you had gotten a third and two kings you made a killer full house that took everyone else down."

    "You continue to do that a few times and it seems to be working, while you haven't beaten anyone yet your chip count is considerably higher than yours as you lay down another full house in order to pull down a huge pot."

    "With those cards gone you still had the garbage cards you pulled out to get the kings in, which you casually discard with your next throwaway as you ask for three and toss four back."

    "Before the tiger shark goes, however, the great white stops the game and looks at you with a keen smile."

    "Great White" "I have to admit that you really had some great hand tricks there,"

    "You feel a pit form in your stomach as he reaches to where you had carefully obfuscated the fourth card under the third and pushes it aside to reveal it."

    "Great White" "I have to admit I'm rather impressed, if it were my call I'd say that I'd let you in on my little gang here."

    "Unfortunately... or rather fortunately... you seem to have attracted the attention of our boss, which means that you'll be going in for some... special processing."

    "Before you can ask what special processing is the tiger shark next to you brains you in the skull with a sap, causing you to get knocked unconscious before you even hit the ground."

    jump corruption_start #this is a conversion ending, go to corruption

label drinking_card_game:

    "As soon as you see them break out the booze you decide to try and play a different game instead, attempting to get them to continue to drink as you play."

    "At first it was merely attempting to match them drink for drink, which you quickly realize will not be a good idea as you start to feel the effects of the alcohol hit your system."

    "When straight up out-drinking them doesn't work you start challenging them, conning them into drinking for things like proving they weren't bluffing or as a victory toast for getting a good hand."

    "As the card came wore on you began to fear that rubber creatures couldn't get drunk at all and this was all for nothing, but soon you started seeing them make sloppier card deals and attempts to cheat that were fairly blatant."

    "Though they were already pretty drunk you continue to push them further, and once you had them drunk enough that they forgot they were drunk you just continued to funnel the liquor down their throats until one was so sloshed that he fell over on his chair."

    "Eventually you just grabbed all their chips and then announced that you won, which woke up one of them and snapped the other two back to attention that they were even playing a card game."

    "The booze also loosened their personalities up a bit as they thanked you for a wonderful game and said if you ever wanted to come back you were more than welcome too."

    "Even as you left they shouted to not be a stranger before you could distinctly hear the sound of one of them puking."

    "Mason" "Gonna be a nasty hangover for them, eh [pov]?"

    "You grin as you left the shipyard, the tower you so desperately seek now only a few blocks away from you."

    jump corporate_tower

label dry_docks:

    "The huge dry docks of Kajira continued to stand in an almost resolute manner at the edge of the dockyards, as though it cared not about the tragedy that befell the mainland.  The shining metal still had a huge ship on it, one that you are pretty sure you couldn't use if you tried."

    "Unfortunately after the last of the docks came the marina, a relatively open space where smaller ships were repaired and restored."

    "Mason" "I suppose we could try and find a boat to motor our way towards the skyscraper."

    "You nod as you looked out at what you hoped was an expanse devoid of life."

    "Mason" "Would make things rather easy, plus then we wouldn't have to be worried about being ambushed by a bunch of those creatures.  Of course the dry docks continue out along the coast as well, less obvious than a boat and more options should be get put under attack."

    "You nod in agreement, look back between the boats and the shoreline that went along the dry docks."

    menu:

        "Find a boat":
            jump boat_search

        "Walk along the dry docks":
            jump dry_land

label boat_search:

    "The marina is not as empty as it had appeared to be as you slowly make your way through the various boats.  Also wandering among the various vessels are more of those rubber lizardmen monsters, except their scales were often blue or green and they had webbed fins and spines."

    "It was strange that they had somehow adapted to being near or in the water, but given what you'd seen them do to the humans they caught you aren't nearly as surprised as you should be."

    "Thankfully you manage to evade past them and reach an area where boats are already in the water, slowly and carefully making your way around to see which boats have keys in them, if any."

    "Luckily your sweep of the area yielded three good results for escape vessels.  The first was a small yacht that looked like it was almost on the verge of setting sale."

    "Next you found a fishing boat with a twin engine, which would likely be fast but noisy getting out of the harbor."

    "Finally you found a rowboat that would be quiet, but that's about all it had going for it and was at least guaranteed to work."

    "At this point with the amount of ruckus it would cause you know you only have enough time to prep and ride off in one of them so you need to choose very carefully..."

    menu:

        "Use the yacht":
            jump lap_of_luxury #this is a bad end, go to badends

        "Use the fishing boat":
            jump safe_seas

        "Use the rowboat":
            jump still_waters #this is a bad end, go to badends

label safe_seas:

    "You decide that the motorboat would likely be the best bet to get to the area where the tower was and hop into it.  The motor roars to life as Mason gets it started, the water lapping against the sides of the boat as you start to back out the boat away from the pier."

    "As soon as you're about to put it forward you are nearly knocked backwards as the boat rolls to the side.  Despite being near capsized you manage to hold on and Mason shouts for you to punch it."

    "The engine roars to life and you speed out into the open water as quickly as you can."

    "At first you thought you lost them but as you begin to turn to coast along the shore you suddenly see the head of an aquatic rubber reptile pull itself onto the side of the boat and hiss at all of you."

    "It didn't last long though as Mason fired off a round into its chest, causing it to fall backwards into the water.  He tells you to continue to drive as two more appear, one of them almost grabbing Mason before he blew him back with another bullet."

    "By the time they had gotten far enough away from the marina to be safe the floor of the boat was littered with shotgun shells."

    "Mason" "Really glad I brought this bad boy."

    "Mason grins as he reloads."

    "Mason" "Think it killed them, even if it didn't though it's going to teach them a thing or two about boarding strange boats.  Now our destination has a small pier that we can get off on, then it's just a hop skip and a jump to the tower."

    jump corporate_tower

label dry_land:

    "Though it was a bit tedious to find your way through the rocks that the city of Kajira put there to prevent erosion you eventually make your way onto the land that surrounded the docks."

    "From there the ocean was only a few feet away as the rock and metal sea walls rise around you like long forgotten sentinels."

    "With nothing in this area of worth or value you figure that no one would be there, especially with the nearby city full of people to convert instead."

    "Unfortunately those instincts proved wrong as you round the corner and see a sand bar full of rubber crocodile men laying there in the sun.  From what you could count there were maybe a dozen, though that didn't include any that would be in the water itself."

    "They didn't appear to be all that interested in finding people to convert like the others, in fact as you continue to look at them they appear to be... rather lazy."

    if corrupted_species == "crocodile":

        "Still as you watch them lay there and splash water on their shiny scales they definitely looked like they worked out, their taut muscles oozing with power and masculinity as they stretched them almost as if they knew you were watching."

    "It appeared that though they were close to the shore you could avoid them if you walked on the rocks that bordered the beach."

    if corrupted_species == "crocodile":

        "Of course you could always join them as well.  Not only would you no longer have to live in constant fear but if you also were turned into a buff rubber reptile like that to lay out in the sun it wouldn't necessarily be such a bad fate."

        menu:

            "Walk around them":
                jump safe_passage

            "Join them":
                jump crocodile_tears

    else:

        jump safe_passage

label crocodile_tears:

    "The temptation has become too much to resist, you just have to be with those sexy rubber creatures!"

    "The rubber crocodiles don't even move as you run towards them, eventually just looking up as you splash into the water.  Once you began to swim did their interest suddenly peak, getting up and moving around in order to greet you."

    "Rubber Crocodile" "Man, I wish they all did this..."

    "You were surprised one of them actually spoke as you shed your wet clothes and walk up onto the sandbar naked, though that no longer really mattered to you now."

    "The eager reptiles waste no time surrounding you as you press your hands against their thick, heavy rubber scales.  They were warm to the touch and felt so good under your skin as several pairs of hands rubbed against your body as well."

    "When they pulled away you half expected to have similar rubber over body, only to find yourself completely clean."

    "At first you wondered if they weren't going to convert you at all, but as one of them laid down and stuck his cock up in the air for you to ride you saw it drip with the corruptive liquid you needed."

    "The others graciously helped you to get settled onto the thick crocodilian dick, the tapered tip pressing against your butt as the others held you up."

    "The male below you moaned in delight as it began to slide inside you, aided by the pre that immediately began to spread inside and outside you like a drop of ink in water."

    "The black rubber quickly began to spread as you lowered yourself down on the large member, your eyes squeezing shut as your sensitive walls were spread completely open."

    "When you opened them again you saw another rubber cock in front of you and you didn't have to be asked as you took a hand and guided it into your mouth."

    "This seemed to spark a frenzy as you suddenly felt another maleness throb against you, pulling off the first one and sucking that one for a while before going back to the first."

    "All the while the rubber now began to spread from your head and your groin, as well as down your legs and back from the other crocodiles that began to crowd around you."

    "As you were surrounded by thick rubber-scaled thighs you try to slide up and down as best you can on the crocodile man beneath you, but as the rubber covers you from head to toe completely it seems to trigger something inside you and you pass out deep in the throes of pleasure from all the amorous males.."

    jump transformed_crocodile #this is a conversion ending, go to corruption

label safe_passage:

    "There's no way you're going to go towards any crocodiles, you think to yourself as you head around the shore to the other side."

    "The rubber crocodiles lounging there open a lazy eye and you freeze for a second, but then breathe a sigh of relief as they close it again and go back to relaxing."

    "As you continue forward though you swear you see a look on the latex muzzle of the creature, one that you can maybe recognize as... disappointment?"

    "You just shake your head at the notion and continue on your way, leaving the shipyards behind as you continue on the rocky shore.  Eventually you get to where you needed to go, a small peninsula that downtown Kajira had built itself right up to the edge of."

    "From there you had to abandon your beach walk, but as Mason explained you were now only a few blocks away from the tower itself as you head back into the city proper."

    jump corporate_tower
